Author Topic: Love support?  (Read 834 times)

NoeL (OP)

  • Posts: 183
Love support?
« on: May 14, 2020, 06:42:33 am »
Hi, I was reading the GCW board and saw Love had been integrated into the firmware a few years ago. Does this mean it's also natively supported on the RG350?

LauweLoempia

  • Posts: 118
Re: Love support?
« Reply #1 on: May 14, 2020, 08:33:35 am »
Probably yes, but I never manager to get it to work on the GCW0. Maybe the .love games have to be repackaged but I never found out how to get them to work...

Sent from my Mi 9 Lite using Tapatalk


NoeL (OP)

  • Posts: 183
Re: Love support?
« Reply #2 on: May 15, 2020, 12:31:56 am »
Looks like some people got it working at least, though not sure if that was before or after it was rolled into the firmware. I'll have to play around with it on the GCW and see what I can do.

pcercuei

  • Posts: 1675
    • My devblog
« Last Edit: May 15, 2020, 07:21:26 pm by pcercuei »

NoeL (OP)

  • Posts: 183
Re: Love support?
« Reply #4 on: May 15, 2020, 08:32:26 pm »
Thanks for the direct link. In that thread they say it's been rolled into the firmware though, and I wasn't sure if that's the case on the 350 too.

goldmojo

  • Posts: 38
Re: Love support?
« Reply #5 on: May 16, 2020, 10:40:44 am »
Do you have a short list of good love games to share with us ?

NoeL (OP)

  • Posts: 183
Re: Love support?
« Reply #6 on: May 16, 2020, 11:11:36 pm »
No, but I want to eventually develop for the device when I've got time and Love is more within my skillset than c++/SDL. I've used it on the pc a little bit and it seems capable enough and easy to code with.

goldmojo

  • Posts: 38
Re: Love support?
« Reply #7 on: May 17, 2020, 11:09:16 am »
Don't hesitate to let us beta-test your creations ;)

NoeL (OP)

  • Posts: 183
Re: Love support?
« Reply #8 on: May 17, 2020, 01:05:48 pm »
Cool, so I managed to get everything working on the GCW (don't own a 350 yet) without much drama (just moving a sprite around - nothing special).

I notice that the GCW is running Love 0.9.1 - would it be difficult to upgrade it to something more recent, or at least 1.0 (the current version is 11.3)?

 

Post a new topic